| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | List of all members
NTuple::Item< TYP > Class Template Reference

Class acting as a smart pointer holding a N tuple _Item. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Item< TYP >:
[legend]
Collaboration diagram for NTuple::Item< TYP >:
[legend]

## Public Member Functions
| Item ()=default
| Standard Constructor. More...
| operator const TYP () const
| Automatic type conversion. More...
TYP | operator* ()
| Dereference operator for pointers. More...
const TYP | operator* () const
| Dereference operator for pointers(CONST) More...
Item & | operator++ ()
Item & | operator++ (int)
Item & | operator-- ()
Item & | operator-- (int)
Item & | operator= (const TYP data)
| Assignment operator. More...
template<class T >
Item & | operator= (const Item< T > &data)
| Assignment operator. More...
Item< TYP > & | operator+= (const TYP data)
Item< TYP > & | operator-= (const TYP data)
Item< TYP > & | operator*= (const TYP data)
Item< TYP > & | operator/= (const TYP data)
Public Member Functions inherited from NTuple::_Accessor< _Item< TYP > >
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
_Item< TYP > * | operator-> ()
| Dereference operator. More...
const _Item< TYP > * | operator-> () const
| Dereference operator (CONST) More...
const Range< _Item< TYP > > & | range () const
| Access the range. More...

## Private Types
typedef Item< TYP > | _My

## Additional Inherited Members
Protected Attributes inherited from NTuple::_Accessor< _Item< TYP > >
_Item< TYP > * | m_ptr
| Pointer to instance. More...

## Detailed Description

### template<class TYP>
class NTuple::Item< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 49 of file NTuple.h.

## Member Typedef Documentation

template<class TYP>

typedef Item<TYP> NTuple::Item< TYP >::_My
| private

Definition at line 264 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Item< TYP >::Item | ( |  | ) |
| default

Standard Constructor.

## Member Function Documentation

template<class TYP>

NTuple::Item< TYP >::operator const TYP | ( |  | ) | const
| inline

Automatic type conversion.

Definition at line 270 of file NTuple.h.

270 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

TYP NTuple::Item< TYP >::operator* | ( |  | ) |
| inline

Dereference operator for pointers.

Definition at line 272 of file NTuple.h.

272 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

const TYP NTuple::Item< TYP >::operator* | ( |  | ) | const
| inline

Dereference operator for pointers(CONST)

Definition at line 274 of file NTuple.h.

274 { return this->m_ptr->get(); }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator*= | ( | const TYP | data | ) |
| inline

Definition at line 303 of file NTuple.h.

304 {
305 this->m_ptr->set( this->m_ptr->get() * data );
306 return *this;
307 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( |  | ) |
| inline

Definition at line 276 of file NTuple.h.

276 { return *this += TYP( 1 ); }
template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( | int |  | ) |
| inline

Definition at line 277 of file NTuple.h.

277 { return *this += TYP( 1 ); }
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator+= | ( | const TYP | data | ) |
| inline

Definition at line 293 of file NTuple.h.

294 {
295 this->m_ptr->set( this->m_ptr->get() + data );
296 return *this;
297 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( |  | ) |
| inline

Definition at line 278 of file NTuple.h.

278 { return *this -= TYP( 1 ); }
template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( | int |  | ) |
| inline

Definition at line 279 of file NTuple.h.

279 { return *this -= TYP( 1 ); }
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator-= | ( | const TYP | data | ) |
| inline

Definition at line 298 of file NTuple.h.

299 {
300 this->m_ptr->set( this->m_ptr->get() - data );
301 return *this;
302 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator/= | ( | const TYP | data | ) |
| inline

Definition at line 308 of file NTuple.h.

309 {
310 this->m_ptr->set( this->m_ptr->get() / data );
311 return *this;
312 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

Item& NTuple::Item< TYP >::operator= | ( | const TYP | data | ) |
| inline

Assignment operator.

Definition at line 281 of file NTuple.h.

282 {
283 this->m_ptr->set( data );
284 return *this;
285 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>
template<class T >

Item& NTuple::Item< TYP >::operator= | ( | const Item< T > & | data | ) |
| inline

Assignment operator.

Definition at line 288 of file NTuple.h.

289 {
290 this->m_ptr->set( data->get() );
291 return *this;
292 }
NTuple::_Accessor< _Item< TYP > >::m_ptr
_Item< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h